CVE-2005-1172
CVSS4.3
发布时间 :2005-05-02 00:00:00
修订时间 :2016-10-17 23:17:51
NMCOS    

[原文]Cross-site scripting (XSS) vulnerability in init.inc.php in Coppermine Photo Gallery 1.3.x allows remote attackers to inject arbitrary web script or HTML via the X-Forwarded-For parameter.


[CNNVD]Coppermine Photo Gallery X-Forwarded-For记录HTML注入漏洞(CNNVD-200505-199)

        Coppermine Photo Gallery 1.3.x版本的init.inc.php中存在跨站脚本攻击(XSS)漏洞,允许远程攻击者通过X-Forwarded-For参数注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:coppermine:coppermine_photo_gallery:1.2
cpe:/a:coppermine:coppermine_photo_gallery:1.0_rc3
cpe:/a:coppermine:coppermine_photo_gallery:1.1_.0
cpe:/a:coppermine:coppermine_photo_gallery:1.2.1
cpe:/a:coppermine:coppermine_photo_gallery:1.3
cpe:/a:coppermine:coppermine_photo_gallery:1.1_beta_2
cpe:/a:coppermine:coppermine_photo_gallery:1.2.2_b

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1172
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1172
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-199
(官方数据源) CNNVD

- 其它链接及资源

http://coppermine.sourceforge.net/board/index.php?topic=17134
(PATCH)  CONFIRM  http://coppermine.sourceforge.net/board/index.php?topic=17134
http://marc.info/?l=bugtraq&m=111383800707880&w=2
(UNKNOWN)  BUGTRAQ  20050418 Vulnerability in Coppermine Photo Gallery 1.3.*
http://www.securityfocus.com/bid/13218
(PATCH)  BID  13218

- 漏洞信息

Coppermine Photo Gallery X-Forwarded-For记录HTML注入漏洞
中危 跨站脚本
2005-05-02 00:00:00 2005-10-20 00:00:00
远程  
        Coppermine Photo Gallery 1.3.x版本的init.inc.php中存在跨站脚本攻击(XSS)漏洞,允许远程攻击者通过X-Forwarded-For参数注入任意Web脚本或HTML。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://prdownloads.sourceforge.net/coppermine/cpg1.3.3.zip?download

- 漏洞信息

15672
Coppermine Photo Gallery init.inc.php HTTP_X_FORWARDED_FOR XSS
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2005-04-18 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.3.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Coppermine Photo Gallery X-Forwarded-For Logging HTML Injection Vulnerability
Input Validation Error 13218
Yes No
2005-04-15 12:00:00 2009-07-12 02:06:00
GHC team <team@ghc.ru> are credited with the discovery of this vulnerability.

- 受影响的程序版本

myWebland myBloggie 2.1.1
Coppermine Photo Gallery 1.3
Coppermine Photo Gallery 1.2.2 b
Coppermine Photo Gallery 1.2.1
Coppermine Photo Gallery 1.2
Coppermine Photo Gallery 1.1 beta 2
Coppermine Photo Gallery 1.1 .0
Coppermine Photo Gallery 1.0 RC3

- 漏洞讨论

Coppermine Photo Gallery is prone to an HTML injection vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input before writing it into log files.

Attacker-supplied HTML and script code would be able to access properties of the site, potentially allowing for theft of cookie-based authentication credentials. An attacker could also exploit this issue to control how the site is rendered to the user; other attacks are also possible.

- 漏洞利用

No exploit is required.

- 解决方案

The vendor has addressed this issue in Coppermine Photo Gallery 1.3.3.


Coppermine Photo Gallery 1.0 RC3

Coppermine Photo Gallery 1.1 .0

Coppermine Photo Gallery 1.1 beta 2

Coppermine Photo Gallery 1.2

Coppermine Photo Gallery 1.2.1

Coppermine Photo Gallery 1.2.2 b

Coppermine Photo Gallery 1.3

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站